<template>
  <header>
    <div class="container">
      <img src="../assets/img/Qtim.svg" alt="" class="logo">

      <div class="actions">
        <ul class="nav">
          <li class="nav__item">Works</li>
          <li class="nav__item">About</li>
        </ul>

        <Select/>
        <Button>Let's work</Button>
      </div>
    </div>
  </header>
</template>

<script lang="ts">
import { defineComponent } from 'vue'
import Button from '../components/Button.vue'
import Select from '../components/Select.vue'

export default defineComponent({
  components:{
    Button,
    Select
  }
})
</script>

<style lang="scss">
header{
  height: 121px;
  background: var(--white);

  .container{
    height: 100%;
    max-width: 1360px;
    margin: 0 auto;
    padding: 34px 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
  }

  .actions{
    display: flex;
    align-items: center;

    .nav{
      list-style: none;
      display: flex;
      margin: 0;
      padding: 0;
      font-size: 20px;
      margin-right: 88px;
  
      &__item{
        margin-right: 58px;
        cursor: pointer;
  
        &:last-child{
          margin: 0;
        }
      }
    }
  }
    
    .logo{
      height: 25px;
      user-drag: none;
      -webkit-user-drag: none;
    }

}

</style>